@import "../../theme/palette";

.navbar-section {
  width: 100%;
  background: transparentize($color_black, 0.6);
}

.navbar-container {
  display: flex;
  justify-content: space-between;
  padding: 20px 0;
  margin: 0 auto;
  max-width: 995px;
}

.logo-text {
  color: $color_white;
  font-size: 22px;
  font-weight: bold;
  user-select: none;
  text-decoration: none;
  text-transform: uppercase;

  &:hover {
    color: $color_tiffany;
  }
}

.navbar-menu {
  flex-grow: 1;
  text-align: right;
}

.navbar-menu-item {
  width: 25px;
  height: 25px;
  margin-right: 28px;

  &:hover {
    fill: $color_tiffany;
  }
}

.navbar-text {
  color: $color_white;

  line-height: 28px;
  padding-left: 28px;
  border-left: 1px solid transparentize($color_white, 0.6);
  user-select: none;
}

.navbar-auth-link {
  text-decoration: none;
  color: $color_white;

  &:hover {
    color: #3cb878;
  }
}